<?php
/**
 * Bottom content
 *
 * @package wp-checkout-maximizer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->setting;
?>
<div id="ipchm-section-bottom-content" class="ipchm-tab-content">
  <div class="ipchm-tab-inner">

    <div class="ipchm-title-content ipchm-hide">
      <i class="ipchm-fa ipchm-fa-long-arrow-down"></i>
      <div class="ipchm-title-text">
        <h4><?php _e( 'Bottom Content', IPCHM_SLUG ); ?></h4>
        <p><?php _e( 'Set bottom content for your upsell content', IPCHM_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipchm-fields -->
    <div class="ipchm-fields">

      <?php
      /*
       * Term Info
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-bottom-term"><?php _e( 'Term Info', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field">
          <?php
          $term = stripslashes( $setting->getSetting( 'bottom_term' ));
          ?>
          <textarea id="ipchm-imb-bottom-term" class="ipchm-input ipchm-input-full" name="bottom_term"><?php echo $term; ?></textarea>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The term & conditions information for the upsell.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Bottom Logo
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-bottom-logo"><?php _e( 'Bottom Logo', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field">

          <div class="ipchm-upload-image ipchm-clear">
            <div class="ipchm-upload-preview">
              <?php
                $setimg = false;
                if ( $attach_id = $setting->getSetting( 'bottom_logo' ) ) {
                  $setimg = true;
                  $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                }
                if ( $setimg ) {
                  echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                  echo '<div class="none ipchm-hide">' . __( 'No logo', IPCHM_SLUG ) . '</div>';
                  $reset_dsp = '';
                } else {
                  echo '<div class="image"></div>';
                  echo '<div class="none">' . __( 'No logo', IPCHM_SLUG ) . '</div>';
                  $reset_dsp = ' style="display:none;"';
                }
              ?>
            </div>

            <div class="ipchm-image-field">
              <div class="ipchm-select-image">
                <p class="mt0"><?php _e( 'Select an logo or upload new logo using the button below.', IPCHM_SLUG ); ?></p>
                <a class="ipchm-btn ipchm-btn-secondary ipchm-btn-media ipchm-btn-sm" data-choose="<?php esc_attr_e( 'Choose Logo', IPCHM_SLUG ); ?>"
                  data-update="<?php esc_attr_e( 'Choose logo', IPCHM_SLUG ); ?>">
                  <i class="ipchm-fa ipchm-fa-image"></i>
                  <?php _e( 'Select Logo', IPCHM_SLUG ); ?>
                </a>
                <a class="ipchm-btn ipchm-btn-reset ipchm-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                  <i class="ipchm-fa ipchm-fa-ban"></i>
                  <?php _e( 'Clear Logo', IPCHM_SLUG ); ?>
                </a>
              </div>
              <input type="hidden" name="upload_type" class="ipchm-upload-type" value="bottom_logo" />
              <input type="hidden" name="bottom_logo" class="ipchm-image-id" value="<?php echo $attach_id; ?>" />
            </div>
          </div>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The logo is placed at the bottom of the upsell content.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Bottom Text
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-bottom-text"><?php _e( 'Bottom Text', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field">
          <?php
          $text = stripslashes( $setting->getSetting( 'bottom_text' ));
          ?>
          <textarea id="ipchm-imb-bottom-text" class="ipchm-input ipchm-input-full" name="bottom_text"><?php echo $text; ?></textarea>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The text that displayed in very bottom of the upsell content.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

    </div>
    <!-- end: .ipchm-fields -->

  </div>
</div>
