<?php
/**
 * Top content
 *
 * @package wp-checkout-maximizer
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$setting = $this->setting;
?>
<div id="ipchm-section-top-content" class="ipchm-tab-content">
  <div class="ipchm-tab-inner">

    <div class="ipchm-title-content ipchm-hide">
      <i class="ipchm-fa ipchm-fa-long-arrow-up"></i>
      <div class="ipchm-title-text">
        <h4><?php _e( 'Top Content', IPCHM_SLUG ); ?></h4>
        <p><?php _e( 'Set top content for your upsell content', IPCHM_SLUG ); ?></p>
      </div>
    </div>

    <!-- start: .ipchm-fields -->
    <div class="ipchm-fields">

      <?php
      /*
       * Title
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-top-title"><?php _e( 'Title', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field">
          <?php
          $title = stripslashes( $setting->getSetting( 'top_title' ) );
          ?>
          <input type="text" id="ipchm-imb-top-title" class="ipchm-input ipchm-input-full" name="top_title" value="<?php echo $title; ?>">

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The main title for the upsell content.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Description
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-top-description"><?php _e( 'Description', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field">
          <?php
          $description = stripslashes( $setting->getSetting( 'top_description' ));
          ?>
          <textarea id="ipchm-imb-top-description" class="ipchm-input ipchm-input-full" name="top_description"><?php echo $description; ?></textarea>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The main description for the upsell content.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

      <?php
      /*
       * Agreement Information
       */
      ?>
      <!-- start: .ipchm-field-row -->
      <div class="ipchm-field-row ipchm-field-y ipchm-help-abs">
        <div class="ipchm-form-label">
          <label for="ipchm-imb-top-agreement"><?php _e( 'Agreement Information', IPCHM_SLUG ); ?></label>
        </div>

        <!-- start: .ipchm-field -->
        <div class="ipchm-field">
          <?php
          $info = stripslashes( $setting->getSetting( 'top_agreement' ));
          ?>
          <textarea id="ipchm-imb-top-agreement" class="ipchm-input ipchm-input-full" name="top_agreement"><?php echo $info; ?></textarea>

          <div class="ipchm-help">
            <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
            <div class="ipchm-help-content ipchm-hide">
              <?php _e( 'The information about agreement for the upsell.', IPCHM_SLUG ); ?>
            </div>
          </div>
        </div>
        <!-- end: .ipchm-field -->
      </div>
      <!-- end: .ipchm-field-row -->

    </div>
    <!-- end: .ipchm-fields -->

  </div>
</div>
