<?php
/**
 * Setting view
 *
 * @package wp-checkout-maximizer
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>

<!-- start: .wrap -->
<div class="wrap">
  <h1><?php printf( __( '%s Settings', IPCHM_SLUG ), IPCHM_TITLE ); ?></h1>

  <!-- start: .ipchm-wrap -->
  <div class="ipchm-wrap ipchm-settings">
    <!-- start: .container -->
    <div class="container container-fluid">
      <!-- start: .ipchm-form -->
      <?php
      $formAction = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipchm=1&action=setting';
      ?>
      <form id="ipchm-form-setting" class="ipchm-form" action="<?php echo $formAction; ?>" method="post">
        <?php wp_nonce_field( plugin_basename( __FILE__ ), 'ipchm_setting_nonce' ); ?>

        <h3 class="ipchm-field-title">
          <?php _e( 'Currency Settings', IPCHM_SLUG ); ?>
        </h3>

        <!-- start: .row -->
        <div class="row">
          <!-- start: .ipchm-fields -->
          <div class="ipchm-fields col-md-8">

            <?php
            /*
             * Prefix
             */
            ?>
            <!-- start: .ipchm-field-row -->
            <div class="ipchm-field-row ipchm-field-x">
              <div class="ipchm-form-label col-lg-4 col-md-6 col-sm-12">
                <label for="ipchm-iset-prefix"><?php _e( 'Prefix', IPCHM_SLUG ); ?></label>
              </div>

              <!-- start: .ipchm-field -->
              <div class="ipchm-field col-lg-8 col-md-6 col-sm-12">
                <?php
                $prefix = get_option( '__ipchm_prefix', '$' );
                ?>
                <input type="text" id="ipchm-iset-prefix" class="ipchm-input ipchm-input-sm" name="prefix" value="<?php echo $prefix; ?>">

                <div class="ipchm-help">
                  <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
                  <div class="ipchm-help-content ipchm-hide">
                    <?php _e( 'The currency prefix.', IPCHM_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipchm-field -->
            </div>
            <!-- end: .ipchm-field-row -->

            <?php
            /*
             * Decimals
             */
            ?>
            <!-- start: .ipchm-field-row -->
            <div class="ipchm-field-row ipchm-field-x">
              <div class="ipchm-form-label col-lg-4 col-md-6 col-sm-12">
                <label for="ipchm-iset-decimals"><?php _e( 'Decimals', IPCHM_SLUG ); ?></label>
              </div>

              <!-- start: .ipchm-field -->
              <div class="ipchm-field col-lg-8 col-md-6 col-sm-12">
                <?php
                $decimals = get_option( '__ipchm_decimals', 2 );
                ?>
                <input type="text" id="ipchm-iset-decimals" class="ipchm-input ipchm-input-sm" name="decimals" value="<?php echo $decimals; ?>">

                <div class="ipchm-help">
                  <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
                  <div class="ipchm-help-content ipchm-hide">
                    <?php _e( 'Specifies how many decimals.', IPCHM_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipchm-field -->
            </div>
            <!-- end: .ipchm-field-row -->

            <?php
            /*
             * Decimal Point
             */
            ?>
            <!-- start: .ipchm-field-row -->
            <div class="ipchm-field-row ipchm-field-x">
              <div class="ipchm-form-label col-lg-4 col-md-6 col-sm-12">
                <label for="ipchm-iset-decimal-point"><?php _e( 'Decimal Point', IPCHM_SLUG ); ?></label>
              </div>

              <!-- start: .ipchm-field -->
              <div class="ipchm-field col-lg-8 col-md-6 col-sm-12">
                <?php
                $point = get_option( '__ipchm_decimal_point', '.' );
                ?>
                <input type="text" id="ipchm-iset-decimal-point" class="ipchm-input ipchm-input-sm" name="decimal_point" value="<?php echo $point; ?>">

                <div class="ipchm-help">
                  <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
                  <div class="ipchm-help-content ipchm-hide">
                    <?php _e( 'The decimal point for the currency value.', IPCHM_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipchm-field -->
            </div>
            <!-- end: .ipchm-field-row -->

            <?php
            /*
             * Thousands Separator
             */
            ?>
            <!-- start: .ipchm-field-row -->
            <div class="ipchm-field-row ipchm-field-x">
              <div class="ipchm-form-label col-lg-4 col-md-6 col-sm-12">
                <label for="ipchm-iset-thousands-separator"><?php _e( 'Thousands Separator', IPCHM_SLUG ); ?></label>
              </div>

              <!-- start: .ipchm-field -->
              <div class="ipchm-field col-lg-8 col-md-6 col-sm-12">
                <?php
                $separator = get_option( '__ipchm_thousands_separator', ',' );
                ?>
                <input type="text" id="ipchm-iset-thousands-separator" class="ipchm-input ipchm-input-sm" name="thousands_separator" value="<?php echo $separator; ?>">

                <div class="ipchm-help">
                  <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
                  <div class="ipchm-help-content ipchm-hide">
                    <?php _e( 'The thousands separator for the currency value.', IPCHM_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipchm-field -->
            </div>
            <!-- end: .ipchm-field-row -->

          </div>
          <!-- end: .ipchm-fields -->

        </div>
        <!-- end: .row -->

        <h3 class="ipchm-field-title">
          <?php _e( 'Facebook Settings', IPCHM_SLUG ); ?>
        </h3>

        <!-- start: .row -->
        <div class="row">
          <!-- start: .ipchm-fields -->
          <div class="ipchm-fields col-md-8">

            <?php
            /*
             * APP ID
             */
            ?>
            <!-- start: .ipchm-field-row -->
            <div class="ipchm-field-row ipchm-field-x ipchm-help-abs">
              <div class="ipchm-form-label col-lg-4 col-md-6 col-sm-12">
                <label for="ipchm-iset-fb-app-id"><?php _e( 'APP ID', IPCHM_SLUG ); ?></label>
              </div>

              <!-- start: .ipchm-field -->
              <div class="ipchm-field col-lg-8 col-md-6 col-sm-12">
                <?php
                $appid = get_option( '__ipchm_facebook_appid' );
                ?>
                <input type="text" id="ipchm-iset-fb-app-id" class="ipchm-input ipchm-input-full" name="facebook_appid" value="<?php echo $appid; ?>">

                <div class="ipchm-help">
                  <a class="ipchm-btn-help ipchm-btn ipchm-btn-default" href="#"><i class="ipchm-fa ipchm-fa-question"></i></a>
                  <div class="ipchm-help-content ipchm-hide">
                    <?php _e( 'The facebook application ID.', IPCHM_SLUG ); ?>
                  </div>
                </div>
              </div>
              <!-- end: .ipchm-field -->
            </div>
            <!-- end: .ipchm-field-row -->

          </div>
          <!-- end: .ipchm-fields -->

        </div>
        <!-- end: .row -->

        <div class="ipchm-bottom-submit mt15">
          <button type="submit" class="ipchm-form-submit ipchm-btn ipchm-btn-secondary ipchm-btn-lg" id="do-save-setting" name="save_setting">
            <i class="ipchm-fa ipchm-fa-floppy-o"></i>
            <strong><?php _e( 'Save Change', IPCHM_SLUG ); ?></strong>
          </button>
        </div>

      </form>
      <!-- end: .ipchm-form -->
    </div>
    <!-- end: .container -->
  </div>
  <!-- end: .ipchm-wrap -->
</div>
<!-- end: .wrap -->
